Auto Multiple Choice - Bug # 590: Echec de l'installation via aur (archlinux) et compilation (precomb +
srec)

Status: Closed Priority: Normal
Author: Benoit Landrieu Category: Installation
Created: 09/20/2018 Assignee:

Updated: 02/08/2021 Due date:

Description: Bonjour,

J'ai voulu réinstaller amc mais je n'y arrive plus sous archlinux.

https://aur.archlinux.org/packages/auto-multiple-choice/#news

messages d'erreurs : https://pastebin.com/J8RJ5LWz

J'ai aussi essayé de compiler les sources et I'image precomb...

Merci d'avance pour votre aide.

Benoit

History

09/20/2018 10:41 am - Alexis Bienveniie
- Status changed from New to Feedback

- Priority changed from Urgent to Normal

- Target version deleted (1.4.0)

> AMC-detect.cc:543:19: error: ‘CV_RGB’ was not declared in this scope

Quelle est la version d'OpenCV utilisée ?

09/20/2018 11:01 am - Benoit Landrieu

merci pour votre réactivité, j'ai effectivement vu cette astuce sur aur.
ma version d'opencyv :

<pre>

sudo pacman -Q opencv

opencv 3.4.3-2

</pre>

09/20/2018 11:13 am - Alexis Bienvenie

Je ne vois pas trop : @CV_RGB@ est une macro qui "devrait étre
définie":https://docs.opencv.org/3.4.3/d6/d6e/group__imgproc__draw.html#gal6fe14b01ea8dffdf2405dc5534e5f15 par OpenCV.
Vous pouvez essayer de remplacer cette macro par sa définition : par exemple

#define BLEU cv::Scalar(223,69,38,0)

Ou alors vous pouvez essayer avec une version plus récente d'AMC (voir https://gitlab.com/jojo_boulix/auto-multiple-choice/tags)
09/20/2018 11:19 am - Benoit Landrieu

Alexis Bienvenie wrote:

> Je ne vois pas trop : @CV_RGB@ est une macro qui "devrait étre
définie":https://docs.opencv.org/3.4.3/d6/d6e/group__imgproc__draw.html#gai6fe14b01ea8dffdf2405dc5534e5f15 par OpenCV.
> Vous pouvez essayer de remplacer cette macro par sa définition : par exemple

>

> #define BLEU cv::Scalar(223,69,38,0)

Avec la version 3.4.0-2 les messages d'erreurs évoluent !

https://pastebin.com/6eD4ESu

> Ou alors vous pouvez essayer avec une version plus récente d'AMC (voir https:/gitlab.com/jojo_boulix/auto-multiple-choice/tags)

Avec la derniére version d'opencv et cette version le message d'erreur est le méme (https://pastebin.com/6eD4ESu1)

09/20/2018 11:28 am - Alexis Bienveniie
> Avec la version 3.4.0-2 les messages d'erreurs évoluent !
> /usr/bin/ld: warning: liblimimf-2_2.s0.22, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_imgcodecs.so, not found

La c'est plutét une bibliotheque qui manque et devrait étre installée (openexr peut-étre ?)...

09/20/2018 12:01 pm - Benoit Landrieu

Alexis Bienvenue wrote:

> > Avec la version 3.4.0-2 les messages d'erreurs évoluent !

> > /usr/bin/ld: warning: libllmimf-2_2.s0.22, needed by /ust/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_imgcodecs.so, not found
> La c'est plut6t une bibliothéque qui manque et devrait étre installée (openexr peut-étre ?)...

<pre>
sudo pacman -Q openexr
openexr 2.3.0-1

</pre>

openexr est installé...

09/21/2018 09:22 am - Benoit Landrieu

le probléme est résolu :

https://bbs.archlinux.org/viewtopic.php?pid=1808653#p1808653

<pre>
sed -i 's/CV_RGB/CvScalar/ AMC-detect.cc

</pre>

09/21/2018 10:13 am - Alexis Bienveniie
Par curiosité : pouvez-vous regarder dans le fichier @/usr/include/opencv2/imgproc.hpp@ ou @/usr/include/opencv2/imgproc/imgproc_c.h@ si vous y
trouvez un @#define CV_RGB@ ? Je ne comprends pas pourquoi cette macro n'est pas définie dans votre environnement...

09/21/2018 12:56 pm - Benoit Landrieu
<pre>

/usr/include/opencv2/imgproc.hpp

line 4301 :
/** OpenCV color channel order is BGR[A] */
#define CV_RGB(r, g, b) cv::Scalar((b), (g), (r), 0)

</pre>

la ligne est commentée !

rien du tout dans
<pre>
/usr/include/opencv2/imgproc/imgproc_c.h

</pre>

09/21/2018 01:05 pm - Alexis Bienveniie
> la ligne est commentée !
Le @#@ fait partie de la directive de compilation @#define@.

Cette ligne est-elle vraiment commentée ?

09/21/2018 01:22 pm - Benoit Landrieu

c'est vrai longtemps que je n'ai pas fait du c !

effectivement la ligne n'est donc pas commentée ;)

09/21/2018 03:30 pm - Alexis Bienveniie

Pouvez-vous essayer de compiler la derniere version d'AMC (voir https:/gitlab.com/jojo_boulix/auto-multiple-choice/tags) ?

<pre>

wget https://gitlab.com/jojo_boulix/auto-multiple-choice/uploads/eOb1a6a7541d2187aa230997c¢865f8b0/auto-multiple-choice_1.4.0-rc1_dist.tar.gz
tar xvzf auto-multiple-choice_1.4.0-rc1_dist.tar.gz

cd auto-multiple-choice-1.4.0~rc1

make PERLDIR=/usr/share/perl5/vendor_perl

</pre>

09/21/2018 04:05 pm - Benoit Landrieu
Alexis Bienvenie wrote:
> Pouvez-vous essayer de compiler la derniere version d'AMC (voir https:/gitlab.com/jojo_boulix/auto-multiple-choice/tags) ?

> [..]

cette version se compile et s'exécute sans probleme, est-ce que I'on peut mettre cette version sous aur.archlinux.org ?

09/21/2018 04:08 pm - Alexis Bienveniie
> est-ce que I'on peut mettre cette version sous aur.archlinux.org ?

Oui : elle ne va plus beaucoup évoluer jusqu'a la sortie de la version 1.4.0.

09/24/2018 09:12 am - Benoit Landrieu

bonjour,

impossible de faire marcher la version du dépot aur quand j'essaie de compiler un document depuis amc...

<pre>

Locale::Language will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at
/usr/lib/AMC/perl/AMC-gui.pl, line 43.

Locale::Codes will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at
/usr/share/perl5/core_perl/Locale/Language.pm, line 22.
The encoding pragma is no longer supported. Check cperl at /usr/lib/AMC/perl/AMC-prepare.pl line 21.
BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-prepare.pl line 21.

</pre>

est-ce que je peux poster sur le forum, peut étre quelqu'un qui utilise archlinux a une astuce !

Je n'arrive pas a faire marcher la version auto-multiple-choice-1.4.0~rc1 (compilation ok mais probleme a I'exécution) comment faire pour l'installer

proprement dans archlinux sans faire de sudo make install ?

Merci,

Merci

09/24/2018 08:32 pm - Alexis Bienveniie

Pour les deux premiéres lignes : cela ne semble pas bloquant pour l'instant ; peut-étre y aura-t-il un paquet perl supplémentaire a installer ?

> The encoding pragma is no longer supported.

C'est une incompatibilité entre les vieilles versions d'AMC et les nouvelles versions de perl. Le mieux a mon avis est d'utiliser une version récente
d'AMC.

> compilation ok mais probleme a I'exécution

Quel probleme ?

09/24/2018 08:34 pm - Benoit Landrieu

bonsoir,

<pre>
Locale::Language will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at
/usr/lib/AMC/perl/AMC-gui.pl, line 43.

Locale::Codes will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at
/usr/share/perl5/core_perl/Locale/Language.pm, line 22.

The encoding pragma is no longer supported. Check cperl at /usr/lib/AMC/perl/AMC-prepare.pl line 21.

BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-prepare.pl line 21.

</pre>

L'application ne se lance pas et j'ai toujours cette erreur...

Quel paquet me manque t'il ?

09/24/2018 08:38 pm - Alexis Bienveniie
Voir message#7365.

09/25/2018 08:50 am - Alexis Bienveniie
- Status changed from Feedback to Resolved

- % Done changed from 0 to 100

02/08/2021 11:15 am - Alexis Bienveniie
- Status changed from Resolved to Closed
